Subject: Re: [Pkg-alsa-devel] Bug#505733: [alsa-base] Input source not correctly set on boot sequence (fujitsu pi1505, ALC861 Analog, HDA intel)

From: Elimar Riesebieter <[email-masked]>
Date: Fri, 14 Nov 2008 20:53:16 +0100

tags 505733 -patch
severity 505733 normal
reassign 505733 alsa-utils

thanks

* Jean-Louis Biasini [081114 20:10 +0100]
> Package: alsa-base
> Version: 1.0.17.dfsg-4
> Severity: important
> Tags: patch

Didn't find one

> 
> --- Please enter the report below this line. ---
> Hello and thanks for your work,
> 
> I've just made a new install of lenny had I had since a long time
> a problem with the input source selection as the system was just started.
> In fact it seems that the input sources is not correctly set. The result
> is that although the microphone works (I can hear my voice on the high 
> speakers if I set the volume to do so) it is not possible to record sound.
> It take me a lot of time to understand the cause of this. As setting
> manually the input source on CD and then back to microphone solved the
> problem, the following command launched at the end of the booting
> process solved the problem:
> 
> amixer cset iface=MIXER,name='Mic Playback Switch' off,off
> amixer cset iface=MIXER,name='Input Source' 1 # select CD as input
> amixer cset iface=MIXER,name='Capture Switch' on,on
> amixer cset iface=MIXER,name='Input Source' 0 # reselect mike

This is bit confused:
'Input Source' 1 or 0 ???
Mic Playback Switch sounds unreasonabele?

Please tell us which soundcard you use.

Thanks
Elimnar

-- 
  Do you smell something burning or ist it me?